<?php return [
 // Default language to use for logging and errors
 'lang' => 'en',
 // Class of the database driver in use (SQLite3 by default)
 'dbDriver' => 'JKingWeb\\Arsse\\Db\\SQLite3\\Driver',
 // Whether to attempt to automatically update the database when updated to a new version with schema changes
 'dbAutoUpdate' => true,
 // Full path and file name of SQLite database (if using SQLite)
 'dbSQLite3File' => NULL,
 // Encryption key to use for SQLite database (if using a version of SQLite with SEE)
 'dbSQLite3Key' => '',
 // Number of seconds for SQLite to wait before returning a timeout error when writing to the database
 'dbSQLite3Timeout' => 60,
 // Class of the user management driver in use (Internal by default)
 'userDriver' => 'JKingWeb\\Arsse\\User\\Internal\\Driver',
 // Whether users are already authenticated by the Web server before the application is executed
 'userPreAuth' => false,
 // Whether to require successful HTTP authentication before processing API-level authentication for protocols which have any. Normally the Tiny Tiny RSS relies on its own session-token authentication scheme, for example
 'userHTTPAuthRequired' => false,
 // Desired length of temporary user passwords
 'userTempPasswordLength' => 20,
 // Whether invalid or expired API session tokens should prevent logging in when HTTP authentication is used, for protocol which implement their own authentication
 'userSessionEnforced' => true,
 // Period of inactivity after which log-in sessions should be considered invalid, as an ISO 8601 duration (default: 24 hours)
 'userSessionTimeout' => 'PT24H',
 // Maximum lifetime of log-in sessions regardless of activity, as an ISO 8601 duration (default: 7 days);
 'userSessionLifetime' => 'P7D',
 // Class of the background feed update service driver in use (Forking by default)
 'serviceDriver' => 'JKingWeb\\Arsse\\Service\\Forking\\Driver',
 // The interval between checks for new articles, as an ISO 8601 duration
 'serviceFrequency' => 'PT2M',
 // Number of concurrent feed updates to perform
 'serviceQueueWidth' => 5,
 // The base server address (with scheme, host, port if necessary, and terminal slash) to connect to the server when performing feed updates using cURL
 'serviceCurlBase' => 'http://localhost/',
 // The user name to use when performing feed updates using cURL; if none is provided, a temporary name and password will be stored in the database (this is not compatible with pre-authentication)
 'serviceCurlUser' => NULL,
 // The password to use when performing feed updates using cURL
 'serviceCurlPassword' => NULL,
 // Number of seconds to wait for data when fetching feeds from foreign servers
 'fetchTimeout' => 10,
 // Maximum size, in bytes, of data when fetching feeds from foreign servers
 'fetchSizeLimit' => 2097152,
 // Whether to allow the possibility of fetching full article contents using an item's URL. Whether fetching will actually happen is also governed by a per-feed setting
 'fetchEnableScraping' => true,
 // User-Agent string to use when fetching feeds from foreign servers
 'fetchUserAgentString' => NULL,
 // When to delete a feed from the database after all its subscriptions have been deleted, as an ISO 8601 duration (default: 24 hours; empty string for never)
 'purgeFeeds' => 'PT24H',
 // When to delete an unstarred article in the database after it has been marked read by all users, as an ISO 8601 duration (default: 7 days; empty string for never)
 'purgeArticlesRead' => 'P7D',
 // When to delete an unstarred article in the database regardless of its read state, as an ISO 8601 duration (default: 21 days; empty string for never)
 'purgeArticlesUnread' => 'P21D',
 // Application name to present to clients during authentication
 'httpRealm' => 'The Advanced RSS Environment',
 // Space-separated list of origins from which to allow cross-origin resource sharing
 'httpOriginsAllowed' => '*',
 // Space-separated list of origins from which to deny cross-origin resource sharing
 'httpOriginsDenied' => '',
];
